Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1203067 - Review Request: rubygem-em-worker - Provides a simple task worker, with a task concurrency limit
Summary: Review Request: rubygem-em-worker - Provides a simple task worker, with a tas...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-18 03:49 UTC by Graeme Gillies
Modified: 2015-04-23 19:03 UTC (History)
1 user (show)

Fixed In Version: rubygem-em-worker-0.0.2-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-21 19:23:15 UTC
Type: ---
lhh: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Graeme Gillies 2015-03-18 03:49:56 UTC
Spec URL: http://ggillies.fedorapeople.org//rubygem-em-worker.spec
SRPM URL: http://ggillies.fedorapeople.org//rubygem-em-worker-0.0.2-1.fc21.src.rpm

Description:
Provides a simple task worker, with a task concurrency limit.

Comment 1 Graeme Gillies 2015-03-18 04:00:19 UTC
Scratch build in koji succeeds

http://koji.fedoraproject.org/koji/taskinfo?taskID=9259569

Comment 2 Lon Hohberger 2015-03-23 20:53:55 UTC
[lhh@zealand fpr]$ rpmlint *
3 packages and 1 specfiles checked; 0 errors, 0 warnings.
[lhh@zealand fpr]$ ls
rubygem-em-worker-0.0.2-1.fc23.noarch.rpm
rubygem-em-worker-0.0.2-1.fc23.src.rpm
rubygem-em-worker-doc-0.0.2-1.fc23.noarch.rpm
rubygem-em-worker.spec

Comment 3 Lon Hohberger 2015-03-23 21:16:30 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
=======
- gems should require rubygems package
  Note: Requires: rubygems missing in rubygem-em-worker-doc
  See: http://fedoraproject.org/wiki/Packaging:Ruby#RubyGems
- Fully-versioned requirement of rubygem-em-worker-doc on rubygem-em-worker
  would resolve license propagation issue.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 4 files have unknown license. Detailed output of
     licensecheck in /home/lhh/fpr/1203067-rubygem-em-worker/licensecheck.txt
     - lon: These are the code from the package and the examples/tests
[!]: License file installed when any subpackage combination is installed.
     - lon: see Issues
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
     - lon: Should require rubygems; see Issues
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[!]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-em-
     worker-doc
     - lon: see Issues.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[?]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[!]: Gem should use %gem_install macro.
[?]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros:
     /usr/share/gems/specifications/em-worker-0.0.2.gemspec, %exclude
     /usr/share/gems/cache/em-worker-0.0.2.gem
[x]: Gem package should exclude cached Gem.
[x]: Test suite should not be run by rake.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-em-worker-0.0.2-1.fc21.noarch.rpm
          rubygem-em-worker-doc-0.0.2-1.fc21.noarch.rpm
          rubygem-em-worker-0.0.2-1.fc21.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Requires
--------
rubygem-em-worker (rpmlib, GLIBC filtered):
    ruby(rubygems)
    rubygem(eventmachine)

rubygem-em-worker-doc (rpmlib, GLIBC filtered):
    rubygem-em-worker

Provides
--------
rubygem-em-worker:
    rubygem(em-worker)
    rubygem-em-worker

rubygem-em-worker-doc:
    rubygem-em-worker-doc

Source checksums
----------------
https://rubygems.org/gems/em-worker-0.0.2.gem :
  CHECKSUM(SHA256) this package     : 93972ff0a4785c212c15e77adbaac6c94cc7a102d7931977db1d162c7eea927c
  CHECKSUM(SHA256) upstream package : 93972ff0a4785c212c15e77adbaac6c94cc7a102d7931977db1d162c7eea927c

Comment 4 Lon Hohberger 2015-03-23 21:21:04 UTC
So, base package needs:

  Requires: rubygems

This will resolve the general issue reported by fedora-review and the specific issues of the directories not being correctly owned by the rubygem-em-worker[-doc] packages.

The sub-package doc needs:

  Requires: rubygem-em-worker = %{version}-%{release}

This will resolve the license propagation issue.

These are the only blockers.

Comment 5 Graeme Gillies 2015-03-24 00:41:05 UTC
Hi Lon,

Thanks for that, I have updated the package, please see the links below

http://ggillies.fedorapeople.org//rubygem-em-worker.spec
http://ggillies.fedorapeople.org//rubygem-em-worker-0.0.2-2.fc21.src.rpm

Regards,

Graeme

Comment 6 Lon Hohberger 2015-03-24 21:06:32 UTC
Reviewed spec diff - looks good.

Comment 7 Graeme Gillies 2015-03-24 22:33:55 UTC
New Package SCM Request
=======================
Package Name: rubygem-em-worker
Short Description: Provides a simple task worker, with a task concurrency limit
Upstream URL: https://github.com/portertech/em-worker
Owners: ggillies
Branches: f22 epel7
InitialCC:

Comment 8 Gwyn Ciesla 2015-03-25 11:21:43 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2015-03-26 00:55:10 UTC
rubygem-em-worker-0.0.2-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/rubygem-em-worker-0.0.2-2.fc22

Comment 10 Fedora Update System 2015-03-29 04:24:40 UTC
Package rubygem-em-worker-0.0.2-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rubygem-em-worker-0.0.2-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4754/rubygem-em-worker-0.0.2-2.fc22
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2015-04-07 22:50:22 UTC
rubygem-em-worker-0.0.2-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/rubygem-em-worker-0.0.2-2.el7

Comment 12 Fedora Update System 2015-04-21 19:23:15 UTC
rubygem-em-worker-0.0.2-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-04-23 19:03:00 UTC
rubygem-em-worker-0.0.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.